<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;

class CreateProductShippingOptionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('product_shipping_options', function(Blueprint $table) {
            $table->integer('product_id')
                ->unsigned()
                ->index();
            $table->foreign('product_id')
                ->references('id')
                ->on('products')
                ->onDelete('cascade');
            $table->integer('shipping_option_id')
                ->unsigned()
                ->index();
            $table->foreign('shipping_option_id')
                ->references('id')
                ->on('shipping_options')
                ->onDelete('cascade');
            $table->decimal('shipping_cost', 19, 2)
                ->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('product_shipping_options');
    }
}
